using Microsoft.Extensions.Logging;
using Moq;
using PARR.Core.Repositories.Interfaces.Job;
using PARR.Core.Repositories.Interfaces.Unit;
using PARR.Core.Services.Shortcodes;
using PARR.Core.Services.UnitFilterService;
using PARR.Domain.Settings;

namespace PARR.DAL.Tests.DomainServices.Implementations
{
    public class ShortcodesServiceTests
    {
        private readonly Mock<ILogger<ShortcodesService>> loggerMock = new();
        private readonly Mock<SettingsFromDb> settingsMock = new();
        private readonly Mock<IJobRepository> jobServiceMock = new();
        private readonly Mock<IUnitRepository> unitServiceMock = new();
        private readonly Mock<IUnitInValueRepository> unitInValueServiceMock = new();
        private readonly Mock<IUnitFieldRepository> unitFieldServiceMock = new();
        private readonly Mock<IUnitFilterService> unitFilterServiceMock = new();

        [Fact]
        public async Task ApplyShortcodesAsync_WithEc_ShouldReplaceEc()
        {

        }
    }
}